Bug 147879 - patch for console.perms and /dev/dri/*
patch for console.perms and /dev/dri/*
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 17:53 EST by Felipe Alfaro Solana
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: pam-0.78-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 08:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Include /dev/dri/* when setting DRI device permissions (379 bytes, patch)
2005-02-11 17:53 EST, Felipe Alfaro Solana
no flags Details | Diff

  None (edit)
Description Felipe Alfaro Solana 2005-02-11 17:53:24 EST
Description of problem:
The console.perms file shipped with pam-0.78-4 fixes permissions for DRI device
nodes /dev/nvidia/* and /dev/3dfx/*, however, it leaves out DRI device nodes for
other graphics cards that live in /dev/dri/*.

My ATI Radeon 7000VE graphics card has its DRI device node represented by
/dev/dri/card0. I have attached a very simple patch that covers /dev/dri/* along
with /dev/nvidia/* and /dev/3dfx/*.

Version-Release number of selected component (if applicable):
0.78-4

How reproducible:
Always

Steps to Reproduce:
N/A
  
Actual results:
Login to any valid user account in X11 and check /dev/dri/card0 nas root:root
and owner and 0660 permissions.

Expected results:
Pam *must* change /dev/dri/card0 permissions to match those from the user that
logged into X.

Additional info:
See attached patch.
Comment 1 Felipe Alfaro Solana 2005-02-11 17:53:25 EST
Created attachment 111011 [details]
Include /dev/dri/* when setting DRI device permissions
Comment 2 Tomas Mraz 2005-02-21 10:34:12 EST
Oops. Wrong bug.

Note You need to log in before you can comment on or make changes to this bug.